> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run plan by ID

> Returns a specific simulation run plan by its ID.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/simulation/plan/{planId}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Simulation Persona
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Knowledge Base
  - name: Call Analysis
  - name: Health
paths:
  /v1/simulation/plan/{planId}:
    get:
      tags:
        - Simulation Run Plan
      summary: Get run plan by ID
      description: Returns a specific simulation run plan by its ID.
      operationId: getV1SimulationPlanByPlanId
      parameters:
        - name: planId
          in: path
          required: true
          description: The ID of the run plan to retrieve
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The requested run plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/RunPlanResponse'
                required:
                  - data
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Roark from '@roarkanalytics/sdk';


            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });


            const response = await
            client.simulationRunPlan.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            response = client.simulation_run_plan.get_by_id(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
components:
  schemas:
    RunPlanResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the run plan
        name:
          type: string
          description: Name of the run plan
        description:
          type:
            - string
            - 'null'
          description: Description of the run plan
        direction:
          type: string
          enum:
            - INBOUND
            - OUTBOUND
          description: Direction of the simulation (INBOUND or OUTBOUND)
        iterationCount:
          type: integer
          description: Number of iterations to run for each test case
        maxConcurrentJobs:
          type: integer
          description: Maximum number of concurrent simulation jobs
        maxSimulationDurationSeconds:
          type: integer
          description: Maximum duration in seconds for each simulation
        silenceTimeoutSeconds:
          type: integer
          description: Timeout in seconds for silence detection
        endCallPhrases:
          type: array
          items:
            type: string
          description: Phrases that trigger end of call. Empty array means disabled.
        endCallReasons:
          type: array
          items:
            type: string
          description: >-
            Semantic conditions that trigger end of call. The LLM evaluates the
            conversation against these conditions. Empty array means disabled.
        executionMode:
          type: string
          enum:
            - PARALLEL
            - SEQUENTIAL_SAME_RUN_PLAN
            - SEQUENTIAL_PROJECT
          description: Execution mode (PARALLEL or SEQUENTIAL)
        scenarios:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              variables:
                type: object
                additionalProperties:
                  type: string
                description: >-
                  Template variables for this scenario instance. Absent when no
                  variables are set. The same scenario can appear multiple times
                  with different variables.
                example:
                  customerName: John Doe
                  appointmentDate: '2024-02-15'
            required:
              - id
          description: Scenarios included in this run plan
        personas:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
            required:
              - id
          description: Personas included in this run plan
        agentEndpoints:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
            required:
              - id
          description: Agent endpoints included in this run plan
        evaluators:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
            required:
              - id
          description: >-
            Deprecated: Use metrics instead. Evaluators included in this run
            plan.
        metrics:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
            required:
              - id
          description: Metric definitions included in this run plan
        testCaseCount:
          type: integer
          description: Total number of test cases generated from the plan configuration
        createdAt:
          type: string
          description: When the run plan was created
        updatedAt:
          type: string
          description: When the run plan was last updated
      required:
        - id
        - name
        - direction
        - iterationCount
        - maxConcurrentJobs
        - maxSimulationDurationSeconds
        - silenceTimeoutSeconds
        - endCallPhrases
        - endCallReasons
        - executionMode
        - scenarios
        - personas
        - agentEndpoints
        - evaluators
        - metrics
        - testCaseCount
        - createdAt
        - updatedAt
      description: A simulation run plan defining the test matrix
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````